public inbox for elfutils@sourceware.org
 help / color / mirror / Atom feed
From: Ulf Hermann <ulf.hermann@qt.io>
To: "elfutils-devel@sourceware.org" <elfutils-devel@sourceware.org>
Subject: [PATCH] Skip run-readelf-compressed.sh test if built without bzip2
Date: Wed, 09 Jan 2019 13:31:00 -0000	[thread overview]
Message-ID: <67ff4de2-fd5a-0ba8-0b5d-173c5619a88b@qt.io> (raw)

Obviously, we cannot read the compressed ELF file if no bzip2 support is
present.

Signed-off-by: Ulf Hermann <ulf.hermann@qt.io>
---
  tests/run-readelf-compressed.sh | 5 +++++
  1 file changed, 5 insertions(+)

diff --git a/tests/run-readelf-compressed.sh 
b/tests/run-readelf-compressed.sh
index a2a04a2a..861553fe 100755
--- a/tests/run-readelf-compressed.sh
+++ b/tests/run-readelf-compressed.sh
@@ -17,6 +17,11 @@

  . $srcdir/test-subr.sh

+if ! grep -q -F '#define USE_BZLIB' ${abs_top_builddir}/config.h; then
+  echo "elfutils built without bzip2 support"
+  exit 77
+fi
+
  # See run-strip-reloc.sh
  testfiles hello_i386.ko

-- 
2.11.0


             reply	other threads:[~2019-01-09 13:31 UTC|newest]

Thread overview: 5+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2019-01-09 13:31 Ulf Hermann [this message]
2019-01-13 22:23 ` Mark Wielaard
2019-01-14  8:27   ` Ulf Hermann
2019-01-16 16:25     ` Mark Wielaard
2019-01-16 17:08       ` Frank Ch. Eigler

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=67ff4de2-fd5a-0ba8-0b5d-173c5619a88b@qt.io \
    --to=ulf.hermann@qt.io \
    --cc=elfutils-devel@sourceware.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox;
as well as URLs for read-only IMAP folder(s) and NNTP newsgroup(s).